Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.jce.provider.test
Class GOST3410Test

    java.lang.Object
      org.bouncycastle.util.test.SimpleTest
          org.bouncycastle.jce.provider.test.GOST3410Test

All Implemented Interfaces:
  Test

    public class GOST3410Test

extends SimpleTest

Constructor Summary
`GOST3410Test()`

Method Summary
`java.lang.String` `getName()`
`static void` `main(java.lang.String[] args)`
`void` `performTest()`

Methods inherited from class org.bouncycastle.util.test.SimpleTest
`areEqual, fail, fail, fail, perform, runTest, runTest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GOST3410Test

    public GOST3410Test()

Method Detail

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `Test`
  Specified by:
    `getName` in class `SimpleTest`

### performTest

    public void performTest()
                     throws java.lang.Exception

  Specified by:
    `performTest` in class `SimpleTest`
  Throws:
    `java.lang.Exception`

### main

    public static void main(java.lang.String[] args)

Bouncy Castle Cryptography Library 1.45